org.eclipse.pde.ui.launcher

## Class PluginsTab

- java.lang.Object
- - org.eclipse.debug.ui.AbstractLaunchConfigurationTab
  - - org.eclipse.pde.ui.launcher.AbstractLauncherTab
    - - org.eclipse.pde.ui.launcher.PluginsTab

All Implemented Interfaces:
  IPrototypeAttributesLabelProvider, ILaunchConfigurationTab, ILaunchConfigurationTab2

    public class PluginsTab
    extends AbstractLauncherTab

A launch configuration tab that displays the different self-hosting modes, and lets the user customize the list of plug-ins to launch with.

This class may be instantiated. This class is not intended to be subclassed by clients.

Since:
  3.2
Restriction:
  This class is not intended to be subclassed by clients.

### Constructor Summary

Constructors
Constructor and Description
`PluginsTab()` Constructor.
`PluginsTab(boolean showFeatures)` Deprecated. As of 3.6 the feature-based workspace launch option is no longer available, so there is no need to set this flag

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `createControl(Composite parent)`
`void` `dispose()`
`String` `getId()`
`Image` `getImage()`
`String` `getName()`
`protected void` `initializeAttributes()`
`void` `initializeFrom(ILaunchConfiguration configuration)`
`void` `performApply(ILaunchConfigurationWorkingCopy configuration)`
`void` `setDefaults(ILaunchConfigurationWorkingCopy configuration)`
`void` `validateTab()` Validates the tab.

### Methods inherited from class org.eclipse.pde.ui.launcher.AbstractLauncherTab

`activated, createStartingSpace, deactivated, isValid, scheduleUpdateJob, updateLaunchConfigurationDialog`

### Methods inherited from class org.eclipse.debug.ui.AbstractLaunchConfigurationTab

`canSave, createCheckButton, createPushButton, createRadioButton, createSeparator, createUpdateJob, createVerticalSpacer, getAttributeLabel, getAttributesLabelsForPrototype, getControl, getErrorMessage, getHelpContextId, getLaunchConfigurationDialog, getLaunchManager, getMessage, getShell, getUpdateJobDelay, getWarningMessage, isDirty, launched, setAttribute, setControl, setDirty, setErrorMessage, setHelpContextId, setLaunchConfigurationDialog, setMessage, setWarningMessage`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.debug.ui.ILaunchConfigurationTab

`OkToLeaveTab, postApply`

### Constructor Detail

#### PluginsTab

    public PluginsTab()

Constructor. Equivalent to PluginsTab(true).

See Also:
  `PluginsTab(boolean)`

#### PluginsTab

    @Deprecated
    public PluginsTab(boolean showFeatures)

Deprecated. As of 3.6 the feature-based workspace launch option is no longer available, so there is no need to set this flag
Constructor

Parameters:
  `showFeatures` - a flag indicating if the tab should present the feature-based self-hosting option.

### Method Detail

#### dispose

    public void dispose()

Specified by:
  `dispose` in interface `ILaunchConfigurationTab`
Overrides:
  `dispose` in class `AbstractLaunchConfigurationTab`

#### createControl

    public void createControl(Composite parent)

#### initializeFrom

    public void initializeFrom(ILaunchConfiguration configuration)

#### setDefaults

    public void setDefaults(ILaunchConfigurationWorkingCopy configuration)

#### performApply

    public void performApply(ILaunchConfigurationWorkingCopy configuration)

#### getName

    public String getName()

#### getImage

    public Image getImage()

Specified by:
  `getImage` in interface `ILaunchConfigurationTab`
Overrides:
  `getImage` in class `AbstractLaunchConfigurationTab`

#### validateTab

    public void validateTab()

Validates the tab. If the feature option is chosen, and the workspace is not correctly set up, the error message is set.

Specified by:
  `validateTab` in class `AbstractLauncherTab`
See Also:
  `AbstractLauncherTab.validateTab()`

#### getId

    public String getId()

Overrides:
  `getId` in class `AbstractLaunchConfigurationTab`

#### initializeAttributes

    protected void initializeAttributes()

Overrides:
  `initializeAttributes` in class `AbstractLaunchConfigurationTab`